<?php

// 获取募捐列表
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_get_donation_event_list.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");
$page = ParamUtil::getRequestNumber("page", 0);

//参数验证
if(empty($unionId)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseOK($result);
}

//每页显示条数
$rowCount = 10;

$result = array();

$offset = $page * $rowCount;

//检索数据库
$param = array();
$param['status_NOT'] = 'NEW';
$param['status_NOT'] = 'NG';
$param['delete_flg'] = false;
$donationEventlist = DonationsEventDat::getList($param,'id','desc', $offset, $rowCount);
$allCount = DonationsEventDat::getListCount($param);

//接口返回数据
$result["allCount"] = $allCount;
$result["page"] = $page;
$result["rowCount"] = $rowCount;
$result["list"] = $donationEventlist;


ErrorLogger::doOutput("Compass...ajax_get_donation_event_list.php....End.", 0);


//返回结果
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>